#include "pitches.h"
int melody[] = {
  NOTE_C4, NOTE_G3, NOTE_G3, NOTE_A3, NOTE_G3, 0, NOTE_B3, NOTE_C4
};

int scale[] = {
  NOTE_C4, NOTE_E4, NOTE_G4, NOTE_C5
};

// note durations: 4 = quarter note, 8 = eighth note, etc.:

int noteDurations[] = {
  4, 4, 2, 1
};

int timerTot = 8000;
int increment = timerTot / 4;
int urgency = 0;
int newUrgency;
unsigned long currTime;
unsigned long diffTime;
bool toggleState = true;
int togglePin = 3;

void SwitchPressed()
{
  if (digitalRead(togglePin) == LOW) {
    // this is why people hate C
    //toggleState = !toggleState;
    Serial.println(toggleState);
    currTime = millis();
  }
}


void setup() {
  Serial.begin(9600);
  currTime = millis();
  pinMode(togglePin, INPUT_PULLUP);
  pinMode(A0, INPUT);
  //attachInterrupt(digitalPinToInterrupt (togglePin), SwitchPressed, CHANGE)
  Serial.println(analogRead(A0));
  timerTot = map(analogRead(A0), 0, 512, 2000, 15000);
  Serial.println(timerTot);
  increment = timerTot / 4;


}

void loop() {
  diffTime = millis() - currTime;
  newUrgency = diffTime / increment;
  if (toggleState) {
    if (urgency != newUrgency) {

      urgency ++;
      if (urgency < 5) {


        for (int thisNote = 0; thisNote < urgency; thisNote++) {
          if (toggleState) {
            // to calculate the note duration, take one second divided by the note type.
            //e.g. quarter note = 1000 / 4, eighth note = 1000/8, etc.
            int noteDuration = 1000 / noteDurations[thisNote];
            tone(8, scale[thisNote], noteDuration);

            // to distinguish the notes, set a minimum time between them.
            // the note's duration + 30% seems to work well:
            int pauseBetweenNotes = noteDuration * 1.30;
            delay(pauseBetweenNotes);
            // stop the tone playing:
            noTone(8);
          }
        }
      }
    }
  }
}
